aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGary Thomas <gary@mlbassoc.com>2010-12-08 06:11:52 -0700
committerRichard Purdie <rpurdie@linux.intel.com>2010-12-09 14:44:13 +0000
commit7581654a030961eda03b07de0e0f6d62a7f4055e (patch)
treefd2990c2f2999f2cbbef167cc0cadb3332e299b0
parentc91caeea89845a88fa069db7218e6eb99843e2a0 (diff)
downloadopenembedded-core-contrib-7581654a030961eda03b07de0e0f6d62a7f4055e.tar.gz
poky-env-internal: Allow the environment variable POKYCONF to provide the basis for the working "conf" directory.
By using the POKYCONF variable, a meta layer can provide the basic setup for files to be used during a build. This is similar to the default values stored in the main meta tree, .../meta/conf/local.conf.sample, etc Signed-off-by: Gary Thomas <gary@mlbassoc.com> Signed-off-by: Richard Purdie <rpurdie@linux.intel.com>
-rwxr-xr-xscripts/poky-env-internal18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/poky-env-internal b/scripts/poky-env-internal
index 5b206ed55c..c8b39c9dbf 100755
--- a/scripts/poky-env-internal
+++ b/scripts/poky-env-internal
@@ -58,6 +58,24 @@ if ! (test -d "$BITBAKEDIR" && test -d "$BUILDDIR"); then
return
fi
+#
+# $POKYCONF can point to a directory for the template local.conf & bblayers.conf
+#
+if [ "x" != "x$POKYCONF" ]; then
+ if ! (test -d "$POKYCONF"); then
+ # Allow POKYCONF=meta-xyz/conf as a shortcut
+ if [ -d "$OEROOT/$POKYCONF" ]; then
+ POKYCONF="$OEROOT/$POKYCONF"
+ fi
+ if ! (test -d "$POKYCONF"); then
+ echo >&2 "Error: '$POKYCONF' must be a directory containing local.conf & bblayers.conf"
+ return
+ fi
+ fi
+ POKYLAYERCONF="$POKYCONF/bblayers.conf"
+ POKYLOCALCONF="$POKYCONF/local.conf"
+fi
+
if [ "x" = "x$POKYLOCALCONF" ]; then
POKYLOCALCONF="$OEROOT/meta/conf/local.conf.sample"
fi